Skip to main content
DELETE
/
compute
/
v1
/
secrets
/
{group}
curl -X DELETE "https://api.case.dev/compute/v1/secrets/%3Cstring%3E" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "success": true,
  "message": "Deleted key 'DATABASE_PASSWORD' from group 'database-config'"
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

group
string
required

Name of the secret group

Query Parameters

key
string

Specific key to delete within the group. If not provided, the entire group is deleted

env
string

Environment name. If not provided, uses the default environment

Response

Secret or secret group successfully deleted

success
boolean
message
string